import initCtx from "@/utils/ctx.js";

export default function () {
	const {} = initCtx(this)

    this.keyType = "key"

    this.success = this.$NotifyReloadSuccess("任务提交成功")

	this.$delay(function () {
		this.$refs.keysBox.focus()
		this.$watch(() => this.keyType, function () {
			setTimeout(() => {
				this.$refs.keysBox.focus()
			})
		})
	})

    this.isRequesting = false
    this.before = function () {
        this.isRequesting = true
    }

    this.done = function () {
        this.isRequesting = false
    }
}